| Home | Libraries | People | FAQ | More

## Struct template conversion

boost::icl::conversion

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Combiner>
    struct conversion {
      // types
      typedef conversion< Combiner >                                                                          type;
      typedef remove_const< typename remove_reference< typename Combiner::first_argument_type >::type >::type argument_type;

      // public static functions
      static argument_type proversion(const argument_type &);
      static argument_type inversion(const argument_type &);
    };

## Description

### `conversion` public static functions

1.     static argument_type proversion(const argument_type & value);

2.     static argument_type inversion(const argument_type & value);